using System.Text.Json;

namespace View_by_Distance.Shared.Models;

public record GenealogicalDataCommunication(DateTime? Birth,
                                            DateTime? Changed,
                                            DateTime? Death,
                                            string? GivenName,
                                            string? Id,
                                            string? Name,
                                            string NickName,
                                            char Sex,
                                            string? Suffix,
                                            string? SurName,
                                            string? UId)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true, DefaultIgnoreCondition = System.Text.Json.Serialization.JsonIgnoreCondition.WhenWritingNull });
        return result;
    }

}